
QGIS Application - Bug report #14432

QGIS 2.14 Processing plugin crashes - TypeError: must be string, not None

2016-03-06 05:38 AM - Harel Dan

Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:2.14.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 22411

Description

After successfully installing QGIS 2.14 standalone, upon startup a couple of days later, the processing plugin crashes, and does not load

any longer. I've tried reinstalling and downgrading processing version from 2.12.99 to 2.12.3 but that is invalid.

The python error report:

@Couldn't load plugin processing due to an error when calling its initGui() method

TypeError: must be string, not None@

Associated revisions

Revision e873540d - 2016-04-11 05:52 PM - Alexander Bruy

[processing] fix path handling (fix #14432)

Revision 34336e14 - 2016-04-26 01:10 PM - Alexander Bruy

[processing] fix path handling (fix #14432)

(cherry picked from commit e873540d14cb102ffe9318063b32c323c56e5bfb)

Conflicts:

    python/plugins/processing/algs/otb/OTBUtils.py

History

#1 - 2016-03-06 07:50 AM - Anita Graser

- Category set to Processing/Core

#2 - 2016-03-09 04:58 AM - Alexander Bruy

- Category changed from Processing/Core to 120

#3 - 2016-03-09 04:59 AM - Alexander Bruy

- Status changed from Open to Feedback

Not reproducible here. Maybe you have an old Processing plugin in your user plugins folder? Try to start QGIS with clean profile.
#4 - 2016-03-10 02:26 AM - Harel Dan

I've removed all the previous QGIS directories from my machine before installing 2.14 and experiencing this bug

#5 - 2016-03-12 01:15 AM - Anita Graser

- Operating System set to windows

#6 - 2016-03-25 05:24 AM - Alexander Bruy

Still can  not reproduce on Linux and Windows

#7 - 2016-04-09 09:37 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback and because seems a local issue. Please reopen if necessary.

#8 - 2016-04-10 05:06 PM - Paulo Cardoso

The same for me.

Couldn't load plugin processing due to an error when calling its initGui() method

TypeError: must be string, not None 

Traceback (most recent call last):

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python\\qgis\\utils.py", line 315, in startPlugin

plugins[packageName].initGui()

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\ProcessingPlugin.py", line 57, in initGui

Processing.initialize()

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 148, in initialize

Processing.loadFromProviders()

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 165, in loadFromProviders

Processing.loadAlgorithms()

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 200, in loadAlgorithms

Processing.updateProviders()

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 173, in updateProviders

provider.loadAlgorithms()

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\core\\AlgorithmProvider.py", line 54, in loadAlgorithms

self._loadAlgorithms()

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\algs\\otb\\OTBAlgorithmProvider.py", line 61, in _loadAlgorithms

version = OTBUtils.getInstalledVersion(True)

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\algs\\otb\\OTBUtils.py", line 143, in getInstalledVersion

out = executeOtb(commands, progress, False)

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\algs\\otb\\OTBUtils.py", line 169, in executeOtb

os.putenv('ITK_AUTOLOAD_PATH', otbLibPath())

TypeError: must be string, not None

Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)] 

QGIS version: 2.14.1-Essen Essen, ea85bef
#9 - 2016-04-11 12:44 AM - Giovanni Manghi

Paulo Cardoso wrote:

The same for me.

please try with a clean configuration by deleting .qgis2 (make a backup first of course) and restarting qgis.

#10 - 2016-04-14 05:22 AM - Oyvind Hamre

- Status changed from Closed to Reopened

I have the same problem as above. I have deleted the .qgis2 folder, but it does not help. Any sugestions??

#11 - 2016-04-19 06:15 AM - Oyvind Hamre

- Status changed from Reopened to Closed

I removed all previous instalations of qgis. In addition to deleting .qgis2 I deleted .qgis-custom. I also had to delete all traces of qgis in

HKEY_CURENT_USER (regedit). After restart of the system, a new instalation of qgis was atempted. This seems to have solved the problem.

#12 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#13 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#14 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#15 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
